package com.ruoyi.common.auth.ali;

import com.alipay.api.AlipayApiException;
import com.alipay.api.AlipayClient;
import com.alipay.api.AlipayConfig;
import com.alipay.api.DefaultAlipayClient;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * @author wjh
 * 2024/11/25
 */
@Component
@Data
public class AliConfig {

    // 应用ID
    @Value("${ali.appId}")
    private String appId;

    // 应用私钥
    @Value("${ali.privateKey}")
    private String privateKey;

    // 应用公钥
    @Value("${ali.publicKey}")
    private String publicKey;

    // 支付宝公钥
    @Value("${ali.alipayPublicKey}")
    private String alipayPublicKey;

    @Value("${ali.aesPrivateKey}")
    private String aesPrivateKey;

    private AlipayConfig getAlipayConfig() {
        AlipayConfig alipayConfig = new AlipayConfig();
        alipayConfig.setServerUrl("https://openapi.alipay.com/gateway.do");
        alipayConfig.setAppId(appId);
        alipayConfig.setPrivateKey(privateKey);
        alipayConfig.setAlipayPublicKey(alipayPublicKey);
        alipayConfig.setFormat("json");
        alipayConfig.setCharset("UTF-8");
        alipayConfig.setSignType("RSA2");
        return alipayConfig;
    }

    @Bean
    public AlipayClient alipayClient() throws AlipayApiException {
        return new DefaultAlipayClient(getAlipayConfig());
    }
}
