package com.ruoyi.common.core.domain.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 微信登录body
 * @author 辉
 * 2024/3/8
 */
@Data
@ApiModel
public class WxLoginBody {

    @ApiModelProperty("用于获取手机号的授权码，首次登录必填")
    private String mobileCode;

    @NotBlank(message = "登录授权码不允许为空")
    @ApiModelProperty("wx.login获取的登录授权码，用于获取openId，必填")
    private String loginCode;
}
