package com.ruoyi.ss.resetRecord.service;

import com.ruoyi.ss.resetRecord.domain.SmResetRecord;
import com.ruoyi.ss.resetRecord.domain.SmResetRecordQuery;
import com.ruoyi.ss.resetRecord.domain.SmResetRecordVo;

import java.util.List;

/**
 * 归零记录Service接口
 *
 * @author ruoyi
 * @date 2024-04-01
 */
public interface ISmResetRecordService
{
    /**
     * 查询归零记录
     *
     * @param id 归零记录主键
     * @return 归零记录
     */
    public SmResetRecordVo selectSmResetRecordById(Long id);

    /**
     * 查询归零记录列表
     *
     * @param smResetRecord 归零记录
     * @return 归零记录集合
     */
    public List<SmResetRecordVo> selectSmResetRecordList(SmResetRecordQuery smResetRecord);

    /**
     * 新增归零记录
     *
     * @param smResetRecord 归零记录
     * @return 结果
     */
    public int insertSmResetRecord(SmResetRecord smResetRecord);

    /**
     * 修改归零记录
     *
     * @param smResetRecord 归零记录
     * @return 结果
     */
    public int updateSmResetRecord(SmResetRecord smResetRecord);

    /**
     * 批量删除归零记录
     *
     * @param ids 需要删除的归零记录主键集合
     * @return 结果
     */
    public int deleteSmResetRecordByIds(Long[] ids);

    /**
     * 删除归零记录信息
     *
     * @param id 归零记录主键
     * @return 结果
     */
    public int deleteSmResetRecordById(Long id);
}
